//
//  MPPositive_CustomTabBar.swift
//  MusicPlayer
//
//  Created by Mr.Zhou on 2024/4/19.
//

import UIKit

class MPPositive_CustomTabBar: UITabBar {
    //tabBarView
    fileprivate lazy var tabBarView:MPPositive_CustomTabBarView = .init(frame: .init(x: 0, y: 0, width: screen_Width, height: 72*borderWidth))
    
    override init(frame: CGRect) {
        super.init(frame: frame)
        self.addSubview(tabBarView)
        backgroundColor = .clear
        tabBarView.snp.makeConstraints { make in
            make.left.right.bottom.equalToSuperview()
            make.height.equalTo(72*width)
        }
    }
    override func layoutSubviews() {
        super.layoutSubviews()
        //将tabBarView置于顶层
        self.bringSubviewToFront(tabBarView)
    }
    required init?(coder: NSCoder) {
        super.init(coder: coder)
    }

}
